Bug 1386085 - L10N - Uncut sentence DepSolveProgressCallBack > pkg_added
L10N - Uncut sentence DepSolveProgressCallBack > pkg_added
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, i18n, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-18 01:49 EDT by jibecfed
Modified: 2017-02-10 10:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 10:51:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jibecfed 2016-10-18 01:49:19 EDT
I order to make a correct translation, can you please :
* split this sentence in 9 different sentences ?
* add a translator comment like the one you have in your code so we do not have to go search for it ;) "Print information about a package being added to the transaction set."

https://github.com/rpm-software-management/dnf/blob/master/dnf/cli/output.py#L1940

        Valid current values for *mode* are::
           i = the package will be installed
           u = the package will be an update
           e = the package will be erased
           r = the package will be reinstalled
           d = the package will be a downgrade
           o = the package will be obsoleting another package
           ud = the package will be updated
           od = the package will be obsoleted
        """
        modedict = {'i': _('installed'),
                    'u': _('an upgrade'),
                    'e': _('erased'),
                    'r': _('reinstalled'),
                    'd': _('a downgrade'),
                    'o': _('obsoleting'),
                    'ud': _('upgraded'),
                    'od': _('obsoleted'),
                    'dd': _('downgraded')}
        (n, a, evr) = (pkg.name, pkg.arch, pkg.evr)
        modeterm = modedict[mode]
        logger.debug(_('---> Package %s.%s %s will be %s'), n, a, evr,
modeterm)
Comment 1 Abhijeet Kasurde 2017-01-14 10:49:15 EST
PR available for review - https://github.com/rpm-software-management/dnf/pull/710
Comment 2 Jaroslav Mracek 2017-02-10 10:51:45 EST
Bugs fixed in version 2.0.1-1.

Note You need to log in before you can comment on or make changes to this bug.